Unit IIS2R_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UTII10_p;

procedure IIS2R(X0 :Real; N :Integer; var X :Array of Real;
                M :Integer; var A :Array of Real; var Y0 :Real;
                var IERR :Integer);

implementation

procedure IIS2R(X0 :Real; N :Integer; var X :Array of Real;
                M :Integer; var A :Array of Real; var Y0 :Real;
                var IERR :Integer);
var
M1,K,J :Integer;
Z :Real;
label
_1,_2,_3;
begin
IERR := 0;
for K:=1 to N do
 begin
  J := K+1;
  Z := X0-X[J-1];
  Z := Abs(X0)-Abs(X[J-1]);
  if ( Z <= 0.0 ) 
   then goto _2;
_1:
 end;
IERR := 65;
UTII10(IERR,2);
exit;
_2:
Z := X0-X[K-1];
Y0 := A[(K-1)+0*N];
M1 := M+1;
for J:=2 to M1 do
 begin
  Y0 := Y0*Z+A[(K-1)+(J-1)*N];
_3:
 end;
end;

end.
